org.apache.avro.ipc

## Class ResponderServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.avro.ipc.ResponderServlet

- All Implemented Interfaces:
    Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class ResponderServlet
      extends javax.servlet.http.HttpServlet

  An `HttpServlet` that responds to Avro RPC requests.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponderServlet(Responder responder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponderServlet

          public ResponderServlet(Responder responder)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### doPost

          protected void doPost(javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)
                         throws IOException,
                                javax.servlet.ServletException

      Overrides:
        `doPost` in class `javax.servlet.http.HttpServlet`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.